<?php

declare(strict_types=1);

namespace App\Service;

use App\Repository\TblNotificacionUsuarioRepository;

final class TblNotificacionUsuarioService
{
    private TblNotificacionUsuarioRepository $TblNotificacionUsuarioRepository;

    public function __construct(TblNotificacionUsuarioRepository $TblNotificacionUsuarioRepository)
    {
        $this->TblNotificacionUsuarioRepository = $TblNotificacionUsuarioRepository;
    }

    public function checkAndGet(int $TblNotificacionUsuarioId): object
    {
        return $this->TblNotificacionUsuarioRepository->checkAndGet($TblNotificacionUsuarioId);
    }

    public function getAll(): array
    {
        return $this->TblNotificacionUsuarioRepository->getAll();
    }

    public function getOne(int $TblNotificacionUsuarioId): object
    {
        return $this->checkAndGet($TblNotificacionUsuarioId);
    }

    public function create(array $input): object
    {
        $TblNotificacionUsuario = json_decode((string) json_encode($input), false);

        return $this->TblNotificacionUsuarioRepository->create($TblNotificacionUsuario);
    }

    public function update(array $input, int $TblNotificacionUsuarioId): object
    {
        $TblNotificacionUsuario = $this->checkAndGet($TblNotificacionUsuarioId);
        $data = json_decode((string) json_encode($input), false);

        return $this->TblNotificacionUsuarioRepository->update($TblNotificacionUsuario, $data);
    }

    public function delete(int $TblNotificacionUsuarioId): void
    {
        $this->checkAndGet($TblNotificacionUsuarioId);
        $this->TblNotificacionUsuarioRepository->delete($TblNotificacionUsuarioId);
    }
}
